ocaml-rpm-macros-4.05.0-7.1.i586.rpm


Advertisement

Description

ocaml-rpm-macros - RPM macros for building OCaml source packages

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ocaml-rpm-macros-4.05.0-7.1.i586.rpm
Package name ocaml-rpm-macros
Package version 4.05.0
Package release 7.1
Package architecture i586
Package type rpm
Category Development/Languages/OCaml
Homepage http://www.ocaml.org
License QPL-1.0 AND SUSE-LGPL-2.0-with-linking-exception
Maintainer -
Download size 11.91 KB
Installed size 2.40 KB
OCaml is a high-level, strongly-typed, functional and object-oriented
programming language from the ML family of languages.
This package contains a set of helper macros to unify common code used
in ocaml spec files.

Alternatives

Package Version Architecture Repository
ocaml-rpm-macros-4.05.0-7.1.x86_64.rpm 4.05.0 x86_64 openSUSE Oss
ocaml-rpm-macros - - -

Provides

Name Value
config(ocaml-rpm-macros) = 4.05.0-7.1
ocaml-rpm-macros = 4.05.0-7.1
ocaml-rpm-macros(x86-32) = 4.05.0-7.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ocaml-rpm-macros-4.05.0-7.1.i586.rpm
Source Package ocaml-4.05.0-7.1.src.rpm

Install Howto

Install ocaml-rpm-macros rpm package:

# zypper install ocaml-rpm-macros

Files

Path
/etc/rpm/macros.ocaml

Changelog

2019-04-24 - ohering@suse.de
- Disable LTO (bsc#1133269)
2018-07-02 - guillaume.gardet@opensuse.org
- Tag license files with %license, not %doc
- Backport patch to fix build on aarch64: 'AArch64 GOT fixed'
https://github.com/ocaml/ocaml/pull/1330:
* ocaml-fix_aarch64_build.patch
2018-04-24 - kstreitova@suse.com
- update ocaml-4.05.0-CVE-2018-9838.patch that causes "undefined
reference to `caml_umul_overflow`" build failure. Replace this
function that is not available in ocaml 4.05 (added in ocaml
4.06) with the present caml_ba_multov() that is basically the
same [bnc#1088591] [CVE-2018-9838]
2018-04-13 - kstreitova@suse.com
- add ocaml-4.05.0-CVE-2018-9838.patch to fix integer overflows
when unmarshaling a bigarray. Malicious or corrupted marshaled
data can result in a bigarray with impossibly large dimensions
that cause overflow when computing the in-memory size of the
bigarray. Disaster ensues when the data is read in a too small
memory area [bnc#1088591] [CVE-2018-9838]
2018-04-04 - kstreitova@suse.com
- run spec-cleaner
- update URL to www.ocaml.org
- the language is officially called OCaml and not Objective Caml,
rename it in summaries and descriptions
- tweak summaries and descriptions
- remove definition of %{_rpmconfigdir} macro - it should be
defined on all distros by default now
2018-04-04 - ohering@suse.de
- Remove info and html documentation because it is not as free
as it should be. Drop ocaml-docs package. (bsc#1080640)
- adjust ocaml-3.09-emacs_localcompile.patch and
ocaml-3.08.3-gcc4.patch for autosetup
2017-08-10 - ohering@suse.de
- Provide ocaml(ocaml_base_version) for camlp4
2017-07-25 - ohering@suse.de
- Use Group: Development/Languages/OCaml
2017-07-17 - ohering@suse.de
- update version 4.05.0
* http://caml.inria.fr/pub/distrib/ocaml-4.05/notes/Changes
- build with -no-cplugins (CVE-2017-9772)
2017-07-17 - ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases

See Also

Package Description
ocaml-runtime-4.05.0-7.1.i586.rpm OCaml runtime environment
ocaml-runtime-4.05.0-7.1.x86_64.rpm OCaml runtime environment
ocaml-sedlex-1.99.4-2.8.i586.rpm Unicode-friendly lexer generator
ocaml-sedlex-1.99.4-2.8.x86_64.rpm Unicode-friendly lexer generator
ocaml-sedlex-devel-1.99.4-2.8.i586.rpm Development files for ocaml-sedlex
ocaml-sedlex-devel-1.99.4-2.8.x86_64.rpm Development files for ocaml-sedlex
ocaml-sha-1.12-1.1.i586.rpm Binding to the SHA cryptographic functions
ocaml-sha-1.12-1.1.x86_64.rpm Binding to the SHA cryptographic functions
ocaml-sha-devel-1.12-1.1.i586.rpm Development files for ocaml-sha
ocaml-sha-devel-1.12-1.1.x86_64.rpm Development files for ocaml-sha
ocaml-source-4.05.0-7.1.i586.rpm Source code for OCaml libraries
ocaml-source-4.05.0-7.1.x86_64.rpm Source code for OCaml libraries
ocaml-type-conv-113.00.02-2.4.i586.rpm Generate OCaml modules
ocaml-type-conv-113.00.02-2.4.x86_64.rpm Generate OCaml modules
ocaml-type-conv-devel-113.00.02-2.4.i586.rpm Development files for ocaml-type-conv
Advertisement
Advertisement